org.wildfly.swarm.netflix.ribbon.secured.client

## Class BearerHeaderAdder

- java.lang.Object
- - org.wildfly.swarm.netflix.ribbon.secured.client.BearerHeaderAdder

-     public class BearerHeaderAdder
      extends Object

  Author:
    Bob McWhirter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BearerHeaderAdder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onExceptionWithServer(<any> context, Throwable exception, ExecutionInfo info)`
    `void` | `onExecutionFailed(<any> context, Throwable finalException, ExecutionInfo info)`
    `void` | `onExecutionStart(<any> context)`
    `void` | `onExecutionSuccess(<any> context, <any> response, ExecutionInfo info)`
    `void` | `onStartWithServer(<any> context, ExecutionInfo info)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BearerHeaderAdder

          public BearerHeaderAdder()

  - ### Method Detail

    - #### onExecutionStart

          public void onExecutionStart(<any> context)
                                throws AbortExecutionException

      Throws:
        `AbortExecutionException`

    - #### onStartWithServer

          public void onStartWithServer(<any> context,
                                        ExecutionInfo info)
                                 throws AbortExecutionException

      Throws:
        `AbortExecutionException`

    - #### onExceptionWithServer

          public void onExceptionWithServer(<any> context,
                                            Throwable exception,
                                            ExecutionInfo info)

    - #### onExecutionSuccess

          public void onExecutionSuccess(<any> context,
                                         <any> response,
                                         ExecutionInfo info)

    - #### onExecutionFailed

          public void onExecutionFailed(<any> context,
                                        Throwable finalException,
                                        ExecutionInfo info)

Copyright © 2018 JBoss by Red Hat. All rights reserved.